
IM1 = zeros(handles.size(1), handles.size(2), 3);
IM2 = zeros(handles.size(1), handles.size(2), 3);

im_tmp = handles.BW_stack(:, :, handles.z)/255;
im_tmp_2 = zeros(handles.size(1), handles.size(2));
im_tmp_3 = zeros(handles.size(1), handles.size(2));
im_tmp(handles.L(:, :, handles.z) == handles.current_L) = 0;
im_tmp_2(handles.L(:, :, handles.z) == handles.current_L) = 1;

for i=1:handles.L_peaks_num(handles.current_L),
    x = handles.L_peaks{handles.current_L}(i, 1);
    y = handles.L_peaks{handles.current_L}(i, 2);
    z = handles.L_peaks{handles.current_L}(i, 3);
    
    if z == handles.z,
        im_tmp(x, y) = 0;
        im_tmp_2(x, y) = 0;
        im_tmp_3(x, y) = 1;
    end
    
end
IM2(:, :, 1) = im_tmp;
IM2(:, :, 2) = im_tmp_2;
IM2(:, :, 3) = im_tmp_3;

IM3 = IM2(handles.L_boun{handles.current_L}(1):handles.L_boun{handles.current_L}(2), handles.L_boun{handles.current_L}(3):handles.L_boun{handles.current_L}(4), :);

stack_tmp = handles.Stack(:, :, handles.z)/255;
IM1(:, :, 1) = stack_tmp;
IM1 = IM1/max(max(max(IM1)));
IM4 = IM1(handles.L_boun{handles.current_L}(1):handles.L_boun{handles.current_L}(2), handles.L_boun{handles.current_L}(3):handles.L_boun{handles.current_L}(4), :);

[s1, s2, s3] = size(handles.Stack);
Stack_out = zeros(s1, s2, s3);
[Ym, Xm, Zm] = meshgrid(1:s2, 1:s1, 1:s3);

IM5 = zeros(size(IM4));
if ~isempty(handles.Bead_fit{handles.current_L}),
    Par = handles.Bead_fit{handles.current_L};
    
    for i=1:size(Par, 1),
        Tmp = Par(i, 7)*exp(-((Par(i, 1) - Xm)/Par(i, 4)).^2).* ...
            exp(-((Par(i, 2) - Ym)/Par(i, 5)).^2).*exp(-((Par(i, 3) - Zm)/Par(i, 6)).^2);
        
        Stack_out = Tmp + Stack_out;
    end
    Stack_out = Stack_out/255;
    im_tmp = Stack_out(:, :, handles.z);
    im_tmp_2 = zeros(size(im_tmp));
    
    
    for i=1:size(Par, 1),
        x = round(handles.Bead_fit{handles.current_L}(i, 1));
        y = round(handles.Bead_fit{handles.current_L}(i, 2));
        z = round(handles.Bead_fit{handles.current_L}(i, 3));
        
        if z == handles.z,
            im_tmp(x, y) = 0;
            im_tmp_2(x, y) = 1;
        end
    
    end
    
    IM5(:, :, 1) = im_tmp(handles.L_boun{handles.current_L}(1):handles.L_boun{handles.current_L}(2), handles.L_boun{handles.current_L}(3):handles.L_boun{handles.current_L}(4))/255;
    IM5(IM5 > 1) = 1;
    IM5(:, :, 3) = im_tmp_2(handles.L_boun{handles.current_L}(1):handles.L_boun{handles.current_L}(2), handles.L_boun{handles.current_L}(3):handles.L_boun{handles.current_L}(4));
    
end
axes(handles.axes1);
image(IM1);
axes(handles.axes2);
image(IM2);
axes(handles.axes3);
image(IM3);
axes(handles.axes4);
image(IM4);
axes(handles.axes5);
image(IM5);