for t = 1:handles.Td
    % Change time
    handles.t = t;
    set(handles.t_disp, 'String', ['T: ', num2str(handles.t)]);

    set(handles.slider_t, 'Value', t);
    pause(.1);

    if handles.save_exist(handles.t),
        handles.Stack = handles.Data_save{handles.t};
    else
        for z = 1:handles.Zd,
            handles.Stack(:, :, z) = double(imread(handles.imfile, handles.t*handles.Zd + z));
            handles.BW_stack(:, :, z) = double(imread(handles.bwfile, handles.t*handles.Zd + z));
        end
    end
    handles.current_L = 1;
    
    % Filter the small ones
    [handles.L, handles.Num] = bwlabeln(handles.BW_stack, 6);
    
    
    filter_small = str2num(get(handles.enter_size, 'String'));
    for k=1:handles.Num,
        if sum(sum(sum(handles.L == k))) <= filter_small,
            handles.Stack(handles.L == k) = 0;
            handles.BW_stack(handles.L == k) = 0;
        end
    end
    
    [handles.L, handles.Num] = bwlabeln(handles.BW_stack, 6);
    L = handles.L; L_N = handles.Num;
    save L_tmp L L_N;
    set(handles.progress_disp, 'String', ['Finding Local Max for T = ', num2str(t)]);
    pause(.03);
    Find_Local_Max;
    
    % Process the data
    Pos_cell_tmp = [];
    for i_loop = 1:handles.Num,
        handles.current_L = i_loop;
        set(handles.progress_disp, 'String', ['Fitting T = ', num2str(t), ' and L = ', num2str(i_loop), '/', num2str(handles.Num)]);
        pause(.03);
        Fit_gaussians;
        Pos_cell_tmp = [Pos_cell_tmp;Pos];
    end
    set(handles.progress_disp, 'String', ['Done Processing T = ', num2str(t)]);
    pause(.03);
    handles.Data_save{t} = handles.Bead_fit;
    handles.Pos_cell{t} = Pos_cell_tmp;
    handles.save_exist(t) = 1;
    disp(['Done for t = ', num2str(t)]);

end
