function [Traj_out] = Sel_Traj_T(Traj_in, T_begin, T_end)
%SORT_TRAJ_T Summary of this function goes here
%   Detailed explanation goes here
Traj_out = cell(1); count = 1;
for i=1:length(Traj_in),
   Traj_tmp = Traj_in{i}(:, 1:3); % The position vector of the traj
   Time_tmp = Traj_in{i}(:, 4); % The time vector of the traj
   Id = (Time_tmp >= T_begin) & (Time_tmp <= T_end);
   if sum(Id) > 1,
       Traj_sel = [Traj_tmp(Id, :), Time_tmp(Id)];
       Traj_out{count} = Traj_sel; count = count + 1;
   end
   
end

%{
close all;
figure(1); title(['Good Trajectories Between Time = ', num2str(T_begin), ' and Time = ', num2str(T_end)]);
view(-96, 20);
for t = T_begin:T_end,
    Disp_pos = [];
    figure(1), hold off;
    for i=1:size(Traj_out, 2),
        S_pos = Traj_out{i}(:, 1:3);S_time = Traj_out{i}(:, 4);
        Id = S_time == t;
        Disp_pos = [Disp_pos; S_pos(Id, :)];
    end
    Plot_Particles(Disp_pos, 'r');
    hold on;
    
    for i=1:size(Traj_out, 2),
        S = Traj_out{i}(:, 1:3);
        Plot_Traj(S, 'b', 1);
    end
    drawnow; pause(.5);
end
%}




end

