function [Traj_out] = Sel_Traj_Z(Traj_in, Z_begin, Z_end)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
Traj_out = cell(1); count = 1;
for i=1:length(Traj_in),
   
    Traj_tmp = Traj_in{i};
   Z_tmp = Traj_tmp(:, 3); % The Z vector of the traj

   % Select those points that are within the Z interval
   Id = (Z_tmp >= Z_begin) & (Z_tmp <= Z_end); 
   
   [A, B] = bwlabel(Id);
   
   for j=1:B,
       Id_sel = Id;
       Id_sel(A ~= j) = 0;
       if sum(Id_sel) > 1,
            Traj_out{count} = Traj_tmp(Id_sel, :); count = count + 1;
       end
   end
   
   % if the entire traj is between these two values then keep it
   %{
   if sum(Id) == length(Id),
       Traj_out{count} = Traj_in{i}; count = count + 1;
   end
   %}
   
end

end

