[s1, s2, s3] = size(handles.BW_stack);
Pos = []; Sig = []; Int = [];
% Loop over all regions of BW_label
sz = 2;

if handles.save_exist(handles.t),
    handles.Bead_fit = handles.Data_save{handles.t};
else
    handles.Bead_fit = cell(handles.Num, 1);
end

handles.L_peaks = cell(handles.Num, 1);

handles.L_peaks_num = zeros(handles.Num, 1);
handles.L_boun = cell(handles.Num, 1);
count = 0;

for k=1:handles.Num,
    
    Id_th = find(handles.L == k); %% find all the points that are larger than th;
    
    Id_prime = Id_th-1;
    Z_th = floor(Id_prime/(s1*s2))+1;
    Y_th = floor(mod(Id_prime, s1*s2)/s1)+1;
    X_th = mod(Id_prime, s1) +1;

    X_min = min(X_th) - 1;X_max = max(X_th) + 1;
    if X_min < 1, X_min = 1; end
    if X_max > s1, X_max = s1; end
    
    Y_min = min(Y_th) - 1;Y_max = max(Y_th) + 1;
    if Y_min < 1, Y_min = 1; end
    if Y_max > s2, Y_max = s2; end
    
    Z_min = min(Z_th) - 1;Z_max = max(Z_th) + 1;
    if Z_min < 1, Z_min = 1; end
    if Z_max > s3, Z_max = s3; end
    
    handles.L_boun{k} = [X_min, X_max, Y_min, Y_max, Z_min, Z_max];
    
    R_lcl_max = [];
    
    for j=1:length(Z_th),
        x_chk = X_th(j); y_chk = Y_th(j); z_chk = Z_th(j);
        
        if x_chk <= sz,
            idx1 = 1; idx2 = x_chk+sz;
        elseif x_chk >= (s1-sz),
            idx1 = x_chk-sz; idx2 = s1;
        else
            idx1 = x_chk-sz; idx2 = x_chk+sz;
        end
        
        if y_chk <= sz,
            idy1 = 1; idy2 = y_chk+sz;
        elseif y_chk >= (s2-sz),
            idy1 = y_chk-sz; idy2 = s2;
        else
            idy1 = y_chk-sz; idy2 = y_chk+sz;
        end
        
        if z_chk <= sz,
            idz1 = 1; idz2 = z_chk+sz;
        elseif z_chk >= (s3-sz),
            idz1 = z_chk-sz; idz2 = s3;
        else
            idz1 = z_chk-sz; idz2 = z_chk+sz;
        end
        
        Chk_val = handles.Stack(x_chk, y_chk, z_chk);
        
        Chk_stack = handles.Stack(idx1:idx2, idy1:idy2, idz1:idz2);
        
        
        
        if sum(Chk_stack > Chk_val) == 0,
            % If there are no neighborhood points that are higher than the
            % center point then this point is a local maximum
            
            dis_check = 1;
            if ~isempty(R_lcl_max),
                for i=1:size(R_lcl_max, 1),
                    if sqrt((R_lcl_max(i, 1) - x_chk)^2 + (R_lcl_max(i, 2) - y_chk)^2 + (R_lcl_max(i, 3) - z_chk)^2) < 2,
                        dis_check = 0;
                    end
                end
                
            else
                dis_check = 1;
            end
            
            if dis_check == 1 && x_chk > 1 && x_chk < s1 && y_chk > 1 && y_chk < s2 && z_chk > 1 && z_chk < s3,
               R_lcl_max = [R_lcl_max; [x_chk, y_chk, z_chk]];
                count = count + 1;
            end
        end
        
    end
    
    
    
    handles.L_peaks{k} = R_lcl_max;
    handles.L_peaks_num(k) = size(R_lcl_max, 1);
    
end


set(handles.size_disp, 'String', num2str(handles.L_sizes(handles.current_L)));
set(handles.object_num_disp, 'String', num2str(handles.Num));
set(handles.Peaks_num_disp, 'String', num2str(handles.L_peaks_num(handles.current_L)));
set(handles.Total_Num_peaks_disp, 'String', num2str(count));